Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class Selection.Rect

    java.lang.Object
      org.gjt.sp.jedit.textarea.Selection
          org.gjt.sp.jedit.textarea.Selection.Rect

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  Selection

public static class Selection.Rect
extends Selection

A rectangular selection.

Since:
  jEdit 3.2pre1

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.textarea.Selection
`Selection.Range, Selection.Rect`

Constructor Summary
`Selection.Rect()`
`Selection.Rect(Buffer buffer, int startLine, int startColumn, int endLine, int endColumn)`
`Selection.Rect(int start, int end)`
`Selection.Rect(int startLine, int start, int endLine, int end)`
`Selection.Rect(Selection sel)`

Method Summary
`int` | `getEnd(Buffer buffer, int line)` Returns the end of the portion of the selection falling on the specified line.
`int` | `getEndColumn(Buffer buffer)`
`int` | `getStart(Buffer buffer, int line)` Returns the beginning of the portion of the selection falling on the specified line.
`int` | `getStartColumn(Buffer buffer)`

Methods inherited from class org.gjt.sp.jedit.textarea.Selection
`clone, getEnd, getEndLine, getStart, getStartLine, overlaps, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selection.Rect

    public Selection.Rect()

### Selection.Rect

    public Selection.Rect(Selection sel)

### Selection.Rect

    public Selection.Rect(int start,
                          int end)

### Selection.Rect

    public Selection.Rect(int startLine,
                          int start,
                          int endLine,
                          int end)

### Selection.Rect

    public Selection.Rect(Buffer buffer,
                          int startLine,
                          int startColumn,
                          int endLine,
                          int endColumn)

Method Detail

### getStartColumn

    public int getStartColumn(Buffer buffer)

### getEndColumn

    public int getEndColumn(Buffer buffer)

### getStart

    public int getStart(Buffer buffer,
                        int line)

  Description copied from class: `Selection`
  Returns the beginning of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.

  Specified by:
    `getStart` in class `Selection`
  Parameters:
    `buffer` - The buffer
    `line` - The line number

### getEnd

    public int getEnd(Buffer buffer,
                      int line)

  Description copied from class: `Selection`
  Returns the end of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.

  Specified by:
    `getEnd` in class `Selection`
  Parameters:
    `buffer` - The buffer
    `line` - The line number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD